Commit a9e4769e authored by Konstantin Pavlov's avatar Konstantin Pavlov

snap: use contribs.

While at it, clean up build and stage packages.

Currently disabled are upnp, srt and chromaprint due to FTFBS under
Ubuntu 16.04.
parent 106a02dd
......@@ -63,17 +63,19 @@ parts:
cd extras/tools
./bootstrap
make -j $(getconf _NPROCESSORS_ONLN) .protoc
make -j $(getconf _NPROCESSORS_ONLN) .nasm
cd ../../
export PATH=$PWD/extras/tools/build/bin:$PATH
cd contrib && mkdir linux && cd linux
../bootstrap
../bootstrap \
--enable-libdsm \
--enable-dvdcss \
--disable-upnp \
--disable-srt \
--disable-chromaprint
make list
make -j $(getconf _NPROCESSORS_ONLN) .protobuf
make -j $(getconf _NPROCESSORS_ONLN) .libplacebo
make -j $(getconf _NPROCESSORS_ONLN) .ffmpeg
make -j $(getconf _NPROCESSORS_ONLN) .spatialaudio
make -j $(getconf _NPROCESSORS_ONLN) .microdns
make -j $(getconf _NPROCESSORS_ONLN) .libarchive
make -j $(getconf _NPROCESSORS_ONLN) fetch
make -j $(getconf _NPROCESSORS_ONLN) install
cd ../../
export NOCONFIGURE=1
autoreconf -fi
......@@ -88,43 +90,25 @@ parts:
sed -i 's|Icon=vlc|Icon=/usr/share/icons/hicolor/256x256/apps/vlc\.png|' $SNAPCRAFT_PART_INSTALL/usr/share/applications/vlc.desktop
sed -i 's|TryExec=.*|TryExec=/snap/bin/vlc|' $SNAPCRAFT_PART_INSTALL/usr/share/applications/vlc.desktop
build-packages:
- ant
- git
- g++
- make
- yasm
- autoconf
- libtool
- libtool-bin
- cmake
- automake
- build-essential
- libxcb-xfixes0-dev
- texinfo
- libvpx-dev
- libqt5svg5-dev
- liba52-0.7.4-dev
- libaa1-dev
- libasound2-dev
- libass-dev
- libavahi-client-dev
- libavc1394-dev
- libbluray-dev
- libcaca-dev
- libcairo2-dev
- libcddb2-dev
- libcdio-dev
- libchromaprint-dev
- libcrystalhd-dev
- libdbus-1-dev
- libdc1394-22-dev
- libdca-dev
- libdirectfb-dev
- libdvbpsi-dev
- libdvdnav-dev
- libdvdread-dev
- libegl1-mesa-dev
- libfaad-dev
- libflac-dev
- libfluidsynth-dev
- libfreerdp-dev
- libfreetype6-dev
- libfribidi-dev
......@@ -132,57 +116,23 @@ parts:
- libgnutls28-dev
- libgtk2.0-dev
- libidn11-dev
- libiso9660-dev
- libjack-dev
- libkate-dev
- liblircclient-dev
- liblivemedia-dev
- liblua5.2-dev
- libmad0-dev
- libmatroska-dev
- libmodplug-dev
- libmpcdec-dev
- libmpeg2-4-dev
- libmtp-dev
- libncursesw5-dev
- libogg-dev
- libomxil-bellagio-dev
- libopus-dev
- libpng-dev
- libpostproc-dev
- libprojectm-dev
- libpulse-dev
- libqt5x11extras5-dev
- qtbase5-private-dev
- libraw1394-dev
- libresid-builder-dev
- librsvg2-dev
- libsamplerate0-dev
- libsdl-image1.2-dev
- libsdl1.2-dev
- libsecret-1-dev
- libshine-dev
- libshout3-dev
- libsidplay2-dev
- libsmbclient-dev
- libspeex-dev
- libspeexdsp-dev
- libssh2-1-dev
- libswscale-dev
- libtag1-dev
- libtheora-dev
- libtwolame-dev
- libudev-dev
- libupnp-dev
- libv4l-dev
- libva-dev
- libvcdinfo-dev
- libvdpau-dev
- libvncserver-dev
- libvorbis-dev
- libx11-dev
- libx264-dev
- libx265-dev
- libxcb-composite0-dev
- libxcb-keysyms1-dev
- libxcb-randr0-dev
......@@ -202,13 +152,9 @@ parts:
- zlib1g-dev
- bison
- flex
- zsh
stage-packages:
- fonts-freefont-ttf
- dbus-x11
- libaa1
- libcaca0
- libcairo2
- libegl1-mesa
- libfreerdp-client1.1
- libfreerdp-core1.1
......@@ -223,14 +169,11 @@ parts:
- libqt5core5a
- libqt5gui5
- librsvg2-2
- libsdl-image1.2
- libsdl1.2debian
- libsecret-1-0
- libva-drm1
- libva-x11-1
- libva1
- libvdpau1
- libvncclient1
- libx11-6
- libxcb-composite0
- libxcb-keysyms1
......@@ -247,13 +190,20 @@ parts:
- mesa-utils
- mesa-vdpau-drivers
- zlib1g
- libprojectm2v5
- projectm-data
- kde-style-breeze
- breeze-icon-theme
- frameworkintegration
- plasma-integration
- phonon4qt5-backend-null
- libjack0
- libasound2
- libgtk-3-0
- liblua5.2-0
- libmtp9
- libschroedinger-1.0-0
- libupnp6
- libzvbi0
- libnotify4
filesets:
exclusion:
- "-usr/lib/*/cmake/*"
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment